Bug 891261 - [abrt] inkscape-0.48.3.1-2.fc17: operator new: Process /usr/bin/inkscape was killed by signal 11 (SIGSEGV)
Summary: [abrt] inkscape-0.48.3.1-2.fc17: operator new: Process /usr/bin/inkscape was ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: inkscape
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:abe11bbd1a4373c30cf7b1a7a1e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-02 11:18 UTC by Eric Reitmaier
Modified: 2013-08-01 02:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 02:56:08 UTC
Type: ---


Attachments (Terms of Use)
File: core_backtrace (9.84 KB, text/plain)
2013-01-02 11:18 UTC, Eric Reitmaier
no flags Details
File: environ (1.34 KB, text/plain)
2013-01-02 11:18 UTC, Eric Reitmaier
no flags Details
File: limits (1.29 KB, text/plain)
2013-01-02 11:18 UTC, Eric Reitmaier
no flags Details
File: backtrace (113.62 KB, text/plain)
2013-01-02 11:18 UTC, Eric Reitmaier
no flags Details
File: cgroup (128 bytes, text/plain)
2013-01-02 11:18 UTC, Eric Reitmaier
no flags Details
File: smolt_data (2.59 KB, text/plain)
2013-01-02 11:18 UTC, Eric Reitmaier
no flags Details
File: executable (17 bytes, text/plain)
2013-01-02 11:18 UTC, Eric Reitmaier
no flags Details
File: maps (55.72 KB, text/plain)
2013-01-02 11:18 UTC, Eric Reitmaier
no flags Details
File: dso_list (11.43 KB, text/plain)
2013-01-02 11:19 UTC, Eric Reitmaier
no flags Details
File: proc_pid_status (920 bytes, text/plain)
2013-01-02 11:19 UTC, Eric Reitmaier
no flags Details
File: var_log_messages (312 bytes, text/plain)
2013-01-02 11:19 UTC, Eric Reitmaier
no flags Details
File: open_fds (679 bytes, text/plain)
2013-01-02 11:19 UTC, Eric Reitmaier
no flags Details

Description Eric Reitmaier 2013-01-02 11:18:40 UTC
Description of problem:
browsing through openclipart library 

Version-Release number of selected component:
inkscape-0.48.3.1-2.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        inkscape
crash_function: operator new
kernel:         3.6.10-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #2 operator new at ../../../../libstdc++-v3/libsupc++/new_op.cc:52
: #3 allocate at /usr/include/c++/4.7.2/ext/new_allocator.h:94
: #4 _M_get_node at /usr/include/c++/4.7.2/bits/stl_tree.h:369
: #5 _M_create_node at /usr/include/c++/4.7.2/bits/stl_tree.h:379
: #6 std::_Rb_tree<Glib::QueryQuark, std::pair<Glib::QueryQuark const, Glib::QueryQuark>, std::_Select1st<std::pair<Glib::QueryQuark const, Glib::QueryQuark> >, Inkscape::compare_quark_ids, std::allocator<std::pair<Glib::QueryQuark const, Glib::QueryQuark> > >::_M_insert_ at /usr/include/c++/4.7.2/bits/stl_tree.h:979
: #7 _M_insert_unique at /usr/include/c++/4.7.2/bits/stl_tree.h:1299
: #8 insert at /usr/include/c++/4.7.2/bits/stl_map.h:523
: #9 (anonymous namespace)::qname_prefix at xml/repr-io.cpp:369
: #10 (anonymous namespace)::populate_ns_map at xml/repr-io.cpp:777
: #12 sp_repr_write_stream_root_element at xml/repr-io.cpp:809

Comment 1 Eric Reitmaier 2013-01-02 11:18:43 UTC
Created attachment 671378 [details]
File: core_backtrace

Comment 2 Eric Reitmaier 2013-01-02 11:18:45 UTC
Created attachment 671379 [details]
File: environ

Comment 3 Eric Reitmaier 2013-01-02 11:18:47 UTC
Created attachment 671380 [details]
File: limits

Comment 4 Eric Reitmaier 2013-01-02 11:18:49 UTC
Created attachment 671381 [details]
File: backtrace

Comment 5 Eric Reitmaier 2013-01-02 11:18:51 UTC
Created attachment 671382 [details]
File: cgroup

Comment 6 Eric Reitmaier 2013-01-02 11:18:53 UTC
Created attachment 671383 [details]
File: smolt_data

Comment 7 Eric Reitmaier 2013-01-02 11:18:55 UTC
Created attachment 671384 [details]
File: executable

Comment 8 Eric Reitmaier 2013-01-02 11:18:57 UTC
Created attachment 671385 [details]
File: maps

Comment 9 Eric Reitmaier 2013-01-02 11:19:00 UTC
Created attachment 671386 [details]
File: dso_list

Comment 10 Eric Reitmaier 2013-01-02 11:19:01 UTC
Created attachment 671387 [details]
File: proc_pid_status

Comment 11 Eric Reitmaier 2013-01-02 11:19:03 UTC
Created attachment 671388 [details]
File: var_log_messages

Comment 12 Eric Reitmaier 2013-01-02 11:19:05 UTC
Created attachment 671389 [details]
File: open_fds

Comment 13 Fedora End Of Life 2013-07-03 23:51:41 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2013-08-01 02:56:12 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.